document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_4800
--- +++ @@ -1,10 +1,14 @@ +# Apply defaults for unset variables +if [ -z $MODE ]; then MODE=default; fi +if [ -z $CLIENT_AUTH ]; then CLIENT_AUTH=shared_secret:runclass; fi + # Write configuration file echo "<?php return array(" \ " 'uploads' => false, " \ " 'cache_dir' => __DIR__.'/cache', " \ " 'uploads_d...
bash
d_bash_4801
--- +++ @@ -17,5 +17,5 @@ jest -- $JEST_ARGV fi ) && ( - ./sh/build.sh + bash ./sh/build.sh )
bash
d_bash_4802
--- +++ @@ -8,10 +8,18 @@ tell rm -rf $BASEDIR/_backup fi tell mkdir $BASEDIR/_backup - tell cp $HOME/.gitconfig $BASEDIR/_backup/.gitconfig - tell cp $HOME/.gitignore $BASEDIR/_backup/.gitignore - tell cp $HOME/.vimrc $BASEDIR/_backup/.vimrc - tell cp $HOME/.zshrc $BASEDIR/_backup/.zsh...
bash
d_bash_4803
--- +++ @@ -8,7 +8,7 @@ set -ex rm -f Cargo.lock -cargo build --all --exclude signal-hook-async-std --exclude signal-hook-sys +cargo build --all --exclude signal-hook-async-std --exclude signal-hook-tokio if [ "$RUST_VERSION" = 1.36.0 ] ; then exit
bash
d_bash_4804
--- +++ @@ -8,9 +8,6 @@ export KEEP_LOCALRC=1 export ENABLED_SERVICES=designate,designate-api,designate-central,designate-sink,designate-mdns,designate-pool-manager,designate-zone-manager - -# Remove once we require at least tempest-lib 0.6.0 -export DEVSTACK_PROJECT_FROM_GIT=tempest-lib echo "DESIGNATE_SERVIC...
bash
d_bash_4805
--- +++ @@ -9,7 +9,8 @@ # Updates the last directory once directory is changed. function chpwd() { - echo "$PWD" > "$cache_file" + # Use >! in case noclobber is set to avoid "file exists" error + echo "$PWD" >! "$cache_file" } # Changes directory to the last working directory.
bash
d_bash_4806
--- +++ @@ -10,7 +10,7 @@ #echo "Success: UM_Adapter-DB found" # Contact Gatekeeper - gtkusr -status_code=$(curl -s -o /dev/null -w "%{http_code}" http://sp.int3.sonata-nfv.eu:5600/admin) +status_code=$(curl -s -o /dev/null -w "%{http_code}" http://sp.int3.sonata-nfv.eu:5600/) if [[ $status_code != 20* ]] ; ...
bash
d_bash_4807
--- +++ @@ -16,6 +16,12 @@ # Install Logstash X-Pack cd /usr/share/logstash/bin && ./logstash-plugin install x-pack +# Update all plugins +cd /usr/share/logstash/bin && ./logstash-plugin update + # Copy configuration files cp /tmp/files/logstash/logstash.yml /etc/logstash/logstash.yml -cp -R /tmp/files/logstash...
bash
d_bash_4808
--- +++ @@ -1,3 +1,5 @@ #!/bin/bash gunicorn pinry.wsgi -b 0.0.0.0:8000 -w 4 \ - --capture-output --timeout 30 --user www-data --group www-data + --capture-output --timeout 30 \ + --user www-data --group www-data \ + --env DJANGO_SETTINGS_MODULE=pinry.settings.docker
bash
d_bash_4809
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash # Start api_check.sh recurrently -watch -c -n2 ./api_check.sh +watch -c -n2 ./bin/api_check.sh
bash
d_bash_4810
--- +++ @@ -27,7 +27,7 @@ trap "rm -rf ${_tmpdir}" EXIT -cp -a "${TESTINFRA_ROOT}/" "${_tmpdir}" +cp -a "${TESTINFRA_ROOT}/." "${_tmpdir}" ./hack/update-deps.sh diff=$(diff -Nupr \
bash
d_bash_4811
--- +++ @@ -8,8 +8,9 @@ if [ $SPIN ]; then git config --global user.name "Chris Thomson" git config --global user.email "chris.thomson@shopify.com" + + sudo apt-get install -y cloc ctags fzf silversearcher-ag tree fi vim -E -s -u "$HOME/.vimrc" +PlugInstall +qall -sudo apt-get install -y cloc ctags fzf ...
bash
d_bash_4812
--- +++ @@ -21,7 +21,7 @@ echo '' echo '------------------------------------------------------------' echo 'Stan Math Library tests' -pushd stan/lib/stan_math_2.15.0/ +pushd stan/lib/stan_math/ ./runTests.py test/unit ./runTests.py test/prob popd
bash
d_bash_4813
--- +++ @@ -27,9 +27,8 @@ # Build fuzzers for fuzzer_archive in $(ls src/*fuzzer*.a); do - $CXX $CXXFLAGS -lFuzzingEngine \ - $fuzzer_archive brotli/bin/obj/common/dictionary.o \ - -o $OUT/$(basename ${fuzzer_archive%.a}) + $CXX $CXXFLAGS -lFuzzingEngine $fuzzer_archive \ + -o $OUT/$(basename ${fuzze...
bash
d_bash_4814
--- +++ @@ -28,6 +28,6 @@ log_message "Rescraped university timetable to ${SBRL_OUTPUT_FILENAME}"; - sleep interval; + sleep ${interval}; sleep $((($RANDOM % ${variance}))); done
bash
d_bash_4815
--- +++ @@ -29,8 +29,8 @@ # Checks SIP status on Macs running 10.11 or higher if [[ ${osvers} -ge 11 ]]; then - sip_status=$(/usr/bin/csrutil status | awk '{print $5}') - if [ "$sip_status" = "disabled" ]; then + sip_status=$(/usr/bin/csrutil status | awk '{print $5}') + if [ "$sip_status" = "disabled." ...
bash
d_bash_4816
--- +++ @@ -1,5 +1,7 @@ -export GOOGLE_CLOUD_SDK_HOME="${GOOGLE_CLOUD_SDK_HOME:/opt/google-cloud-sdk}" -if [[ -a $GOOGLE_CLOUD_SDK_HOME ]] +[ -d /opt/google-cloud-sdk ] && export GOOGLE_CLOUD_SDK_HOME="/opt/google-cloud-sdk" +[ -d /usr/share/google-cloud-sdk ] && export GOOGLE_CLOUD_SDK_HOME="/usr/share/google-cloud-...
bash
d_bash_4817
--- +++ @@ -25,7 +25,7 @@ # update blog rm -r * -cp -r ../hugo/public/* . +cp -r ../hugo/public . rm -r post post.html page page.html # remove per-category pages/feeds # commit
bash
d_bash_4818
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +# Run our parser on all the footprint files we found so far GitHub TEST_DIR=dist/build TEMP_DIR=$TEST_DIR/parse-tmp TEST_EXE=$TEST_DIR/parse @@ -8,14 +9,16 @@ if [ ! -d "$TEMP_DIR" ]; then git clone --depth=1 "https://github.com/kasbah/kicad_footprints" "$TEMP_DIR" + cd...
bash
d_bash_4819
--- +++ @@ -22,7 +22,7 @@ make || exit $? echo "========= make javahl" -make javahl || exit $? +make javahl -j1 || exit $? echo "========= make swig-py" make swig-py || exit $? @@ -31,6 +31,6 @@ make swig-pl || exit $? echo "========= make swig-rb" -make swig-rb || exit $? +make swig-rb -j1 || exit $? ...
bash
d_bash_4820
--- +++ @@ -3,7 +3,7 @@ cd /home/codepot/codepot-backend-production git fetch -f; -git reset --hard origin/master; +git reset --hard origin/production; docker-compose build; docker-compose up -d;
bash
d_bash_4821
--- +++ @@ -2,6 +2,6 @@ yum clean all yum update -y --nogpg -yum install -y --nogpg rpm-build git python-setuptools yum-utils python2-devel intltool make python-pip +yum install -y --nogpg rpm-build git python-setuptools yum-utils python2-devel intltool make python-pip gcc # temp deps yum install -y --nogpg pyt...
bash
d_bash_4822
--- +++ @@ -6,7 +6,8 @@ #------------------------------------------------------------------------------- # edit -export VISUAL=`which subl` # `which atom` +export EDITOR='vi -e' +export VISUAL='subl' #'/usr/bin/vim' alias edit="${VISUAL}" # e quick edit alias - with no args, opens editor to the current dir @@...
bash
d_bash_4823
--- +++ @@ -5,3 +5,4 @@ alias nom='npm cache clean && rm -rf node_modules && mkdir node_modules && touch node_modules/.metadata_never_index && npm install' alias o='open' +alias mkd='mkdir -p'
bash
d_bash_4824
--- +++ @@ -18,9 +18,10 @@ export PATH="$PATH:$BOUNDARY_API_SHELL_HOME/bin" export PATH="$PATH:$BOUNDARY_API_SHELL_HOME/src/main/scripts/account" +export PATH="$PATH:$BOUNDARY_API_SHELL_HOME/src/main/scripts/events" export PATH="$PATH:$BOUNDARY_API_SHELL_HOME/src/main/scripts/meter" export PATH="$PATH:$BOUNDARY...
bash
d_bash_4825
--- +++ @@ -2,6 +2,7 @@ alias k="killall" alias rf="rm -rf" alias rs="source ~/.bash_profile;source ~/.bashrc;source ~/.bash_aliases" +alias .="curl -so- https://raw.githubusercontent.com/karimsa/dotfiles/master/install.sh | bash" alias ..="cd .." alias ...="..;.." alias ....="..;..;.."
bash
d_bash_4826
--- +++ @@ -3,4 +3,6 @@ version=$(git tag -l | tail -n1 | sed -e s/^v//) sed -i -e "s/\(const packageVersion =\).\+/\1 '${version}'/" test/ss_to_json.js +git add test/ss_to_json.js +git commit -m "Commit upgrade to v${version}" git push origin $(git tag -l | tail -n1)
bash
d_bash_4827
--- +++ @@ -13,13 +13,13 @@ #### those adapter request huge amount of data, that sometimes made failing the fetch process and we are running them one by one. ############################################################################### -# ARPALAZIO adapter requests ~7.5k items +# ARPALAZIO adapter requests ~7....
bash
d_bash_4828
--- +++ @@ -26,7 +26,7 @@ > /tmp/dygraph-packed.js ( - echo '/*! dygraphs v1.2 dygraphs.com | dygraphs.com/license */' + echo '/*! @license Copyright 2011 Dan Vanderkam (danvdk@gmail.com) MIT-licensed (http://opensource.org/licenses/MIT) */' cat /tmp/dygraph-packed.js ) > dygraph-combined.js chmod a+r dygr...
bash
d_bash_4829
--- +++ @@ -1,10 +1,15 @@ #!/bin/bash -# development -#curl --silent --header "x-api-key:CHs9qbXE9naZIeQynhJPA1ejzbshJpGr8LLwJfcz" https://government.transparent.engineering/development/slurp-e-api +# development AGW +3curl --silent --header "x-api-key:CHs9qbXE9naZIeQynhJPA1ejzbshJpGr8LLwJfcz" https://government.t...
bash
d_bash_4830
--- +++ @@ -1,5 +1,25 @@ #!/bin/bash + +WAIT_SERVICE_READY=10 + +function check_service(){ + status=$($WORKDIR/control status) + echo $status | grep -q "stoped" + if [ $? -eq 0 ] ; then + return 1 + else + return 0 + fi +} + tar -zxf $PACKDIR/$PACKFILE -C $WORKDIR cp $CONFIGDIR/$CONFIGFILE $WORKDIR $WO...
bash
d_bash_4831
--- +++ @@ -17,4 +17,4 @@ fi # Sync user dir from ThunderBay -> iMac -time sync $phatblat_external $phatblat_imac "go" +sync $phatblat_external $phatblat_imac "go"
bash
d_bash_4832
--- +++ @@ -5,6 +5,8 @@ selection=$(echo $options | rofi -dmenu -sep '|' -p 'Select option: ') exit_option=$(echo "$selection" | tr '[:upper:]' '[:lower:]') -if [ ! $selection = "Cancel" ]; then +if [ ! "$selection" = "Cancel" ]; then "$HOME/scripts/i3/exit.sh" $exit_option fi + +exit 0
bash
d_bash_4833
--- +++ @@ -1,13 +1,13 @@ #!/bin/bash set -e # exit with nonzero exit code if anything fails -git remote add upstream https://${GITHUB_TOKEN}@github.com/mweibel/esrscan-desktop.git +git remote set-url origin https://${GITHUB_TOKEN}@github.com/mweibel/esrscan-desktop.git git add package.json git commit -m "Ver...
bash
d_bash_4834
--- +++ @@ -6,6 +6,7 @@ export PATH=$(pwd):$(pwd)/cached-deps:$GOPATH/bin:$PATH if [ -f /tmp/results ]; then + mkdir -p /tmp/test-results go get -u github.com/jstemmer/go-junit-report - go-junit-report < /tmp/results + go-junit-report < /tmp/results > /tmp/test-results/results.xml fi
bash
d_bash_4835
--- +++ @@ -11,7 +11,7 @@ -pluginpath omg-cli-product-bundle/$PRODUCT_PLUGIN omg-cli/omg-linux deploy-product \ - omg-cli-product-bundle/$PRODUCT_PLUGIN + $PRODUCT_PLUGIN --infer-from-cloud \ --print-manifest \ --vault-active \
bash
d_bash_4836
--- +++ @@ -29,11 +29,10 @@ node must-reset.js -i ${BATCH} -### TODO We need to know which template to send! It'll either be "suspicious_location" OR "password_reset_required" ### TODO If we need more delay in between the batches the bulk-mailer itself sends, add a `-d <seconds> to the below line. ### If inst...
bash
d_bash_4837
--- +++ @@ -9,3 +9,4 @@ apt-get install -y libsqlite3-dev apt-get install -y libmicrohttpd-dev apt-get install -y cmake +apt-get install -y wget curl
bash
d_bash_4838
--- +++ @@ -1,4 +1,9 @@ #!/bin/bash + +sudo apt-get install tmuxinator zsh + +# install oh-my-zsh +sh -c "$(wget https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh -O -)" function setLink { # Check if the file exists
bash
d_bash_4839
--- +++ @@ -1,3 +1,3 @@ cc -Os -S -o ./main.s ./main.c -Wall -pedantic -ansi as -o ./main.o ./main.s -cc -s -o ./main ./main.o +cc -s -o ./poly ./main.o
bash
d_bash_4840
--- +++ @@ -1,6 +1,10 @@ #!/bin/bash +# scp checkit ling572_00@dryas:.ssh + +# ssh-copy-id -i checkit.pub ling572_00@dryas + for a in ling572_01 ling572_02 ling572_03 ling572_04 ling572_05 ling572_06 ling572_07 ling572_08 ling572_09 ; do - cp -R ~ling572_00/.ssh ~$a ; + sudo -u $a mkdir /home/$a/.ssh ; + su...
bash
d_bash_4841
--- +++ @@ -8,7 +8,7 @@ if [ "$ORDER" = "MiB" -a $SIZE -gt 50 ]; then notify-send 'Bandwidth used!' fi -elif [ "$(/sbin/iwgetid)" = 'wlan0 ESSID:"LG-E410i_7795"' ]; then +elif /sbin/iwgetid | fgrep 'LG-E410i_7795' > /dev/null; then # echo differ between bash and dash: both require and support the option ...
bash
d_bash_4842
--- +++ @@ -23,9 +23,9 @@ # Todo: Need to update base image from Debian Stretch for the required Python # 3.6 or later # curl -# -LO https://bootstrap.pypa.io/pip/get-pip.py -#curl -# -LO https://bootstrap.pypa.io/pip/2.7/get-pip.py -#${PYTHON} get-pip.py --ignore-installed -#rm get-pip.py +curl -# -LO https://boo...
bash
d_bash_4843
--- +++ @@ -15,15 +15,26 @@ } ' -for I in "platforms;android-25" \ +echo "--------------------------------------------------------" +echo "Trying to update dependencies with tools/bin/sdkmanager: " +echo "--------------------------------------------------------" + +for I in "platforms;android-26" \ + "p...
bash
d_bash_4844
--- +++ @@ -1,6 +1,7 @@ #!/usr/bin/env bash -RHOST="totalcrazyhack.net:/var/www/casio" +RHOST="totalcrazyhack.net" +RHOSTDIR="/var/www/casio" TOPDIR=$(pwd) T=$(date +"%y%m%d%H%M%S") @@ -11,20 +12,18 @@ mkdir "$RDIR" cp report.md "$RDIR/report.md" cp "$RFOLDER/reportStyle.css" "$RDIR/reportStyle.css" -cd "$R...
bash
d_bash_4845
--- +++ @@ -17,8 +17,7 @@ tail -f $out_file & tail_pd=$! -{ ./build.sh "$@" 2&>1 ; } | tee $out_file -# { { { { { { stdbuf -e0 -o0 ./build.sh "$@" ; } 3>&1 1>&2 2>&3 ; } | sed -u 's!^![STDERR]!' ; } 3>&1 1>&2 2>&3 ; } | sed -u 's!^![STDOUT]!' ; } 2>&1 ; } >> $out_file +{ { { { { { stdbuf -e0 -o0 ./build.sh "$@" ;...
bash
d_bash_4846
--- +++ @@ -38,3 +38,8 @@ | $PYDOCTOOL sphinx-docs -i - -n ipython-docs -e .txt \ ipython/docs/source \ > "$1" + +## 3b. Another possibility: just the Sphinx docs +#$PYDOCTOOL sphinx-docs -i - -n ipython-docs -e .txt \ +# ipython/docs/source \ +#> "$1"
bash
d_bash_4847
--- +++ @@ -1,4 +1,10 @@ #! /bin/sh -CSC=$(which mono-csc || which dmcs) +CSC=$(which mono-csc || which dmcs || echo "none") + +if [[ $CSC == "none" ]]; then + echo "Error: Please install mono-devel." + exit 1 +fi + $CSC /out:TestSSLServer.exe /main:TestSSLServer Src/*.cs Asn1/*.cs X500/*.cs
bash
d_bash_4848
--- +++ @@ -1,12 +1,17 @@ mv /home/vagrant/sources.list /etc/apt/sources.list service puppet stop service chef-client stop +echo "Adding brightbox's ruby repository" apt-add-repository ppa:brightbox/ruby-ng +echo "Updating apt" apt-get update +echo "Installing dependencies" apt-get install -y build-essential gi...
bash
d_bash_4849
--- +++ @@ -1,3 +1,3 @@ #!/bin/sh - +Rscript -e "devtools::install_github('rstudio/bookdown')" Rscript -e "bookdown::render_book('index.Rmd', 'bookdown::gitbook')"
bash
d_bash_4850
--- +++ @@ -11,7 +11,6 @@ # Build the theme: Download PHP libs and build styleguide echo "$(date): Start building PHP" -cd ${RootPath}/dist composer install > /dev/null echo "$(date): End building PHP"
bash
d_bash_4851
--- +++ @@ -12,6 +12,11 @@ rm -fr fastfootshoes echo "Cleaning Up Working Folders" - +rm -fr ../geode-server-package/locatorA +rm -fr ../geode-server-package/locatorB +rm -fr ../geode-server-package/serverA +rm -fr ../geode-server-package/serverB +rm -fr ../geode-server-package/serverC +rm -fr ../geode-server-pac...
bash
d_bash_4852
--- +++ @@ -4,7 +4,7 @@ #only add the bare necessities to get started. Everything else should be ansible. workspace="$HOME/workspace" ansible="$workspace/ansible" -ansible_git="git@github.com:markmandel/ansible.git" +ansible_git="https://github.com/ansible/ansible.git" dot_files="$workspace/dotfiles" if [ -d $...
bash
d_bash_4853
--- +++ @@ -2,7 +2,7 @@ POT_FILE=lektor_creative_commons/locales/messages.pot -xgettext --no-location lektor_creative_commons/plugin.py --join-existing --output $POT_FILE +xgettext --no-location lektor_creative_commons/plugin.py --output $POT_FILE for file in $(find . -name '*.po') ; do msgmerge --quiet ...
bash
d_bash_4854
--- +++ @@ -6,7 +6,7 @@ # install a bunch of packages # in order of each line: -# spotify + deps for local play +# spotify # skype + other instant messages client # replace vi with vim # google drive sync @@ -16,15 +16,21 @@ # colorize make output (needs alias's in ~/.zsh-config/aliases.zshrc) trizen -S --...
bash
d_bash_4855
--- +++ @@ -10,6 +10,9 @@ # initdb -- create a new PostgreSQL database cluster su postgres -c 'initdb -D /var/pgsql/data/' +# Enable pgsql service +svcadm enable svc:/pkgsrc/postgresql:default + # Configure SOGo PGSQL user and database SOGO_PGSQL_DB='sogo' SOGO_PGSQL_PW=${SOGO_PGSQL_PW:-$(mdata-get sogo_pgsql_...
bash
d_bash_4856
--- +++ @@ -10,8 +10,8 @@ sudo hdiutil attach XQuartz-2.7.6.dmg sudo installer -verbose -pkg /Volumes/XQuartz-2.7.6/XQuartz.pkg -target / brew update &> /dev/null - brew uninstall -f gnupg@2.1 gnupg21 - brew install gnupg gtk+ pygobject + brew upgrade gnupg + brew install gtk+ pygobject export PKG_CON...
bash
d_bash_4857
--- +++ @@ -1,2 +1,3 @@ #!/bin/bash -/usr/bin/cookiecutter gh:NathanUrwin/cookiecutter-git --no-input <<< yes +apt-cache policy python-cookiecutter +/usr/local/bin/cookiecutter gh:NathanUrwin/cookiecutter-git --no-input <<< yes
bash
d_bash_4858
--- +++ @@ -2,3 +2,4 @@ bn=`basename $1` trsid=${bn%%.*} gdal_translate /vsizip/$1/${trsid}.jpg ${trsid}.tif +gdaladdo ${trsid}.tif 2 4 6 8 16
bash
d_bash_4859
--- +++ @@ -6,7 +6,7 @@ # Hack for OSX: we cannot run the tests in parallel case $OSTYPE in darwin*) - __TESTEXTRA="-- --test-threads 1" + __TESTEXTRA="" ;; default) __TESTEXTRA="" @@ -14,5 +14,5 @@ esac for toml in $(find . -maxdepth 2 -name "Cargo.toml"); do - echo...
bash
d_bash_4860
--- +++ @@ -21,8 +21,8 @@ if [[ ! -e "$LOGFIFO" ]]; then mkfifo "$LOGFIFO" fi - echo "$CRON_SCHEDULE /usr/bin/s3cmd sync $PARAMS \"$DATA_PATH\" \"$S3_PATH\" > $LOGFIFO 2>&1" - echo "$CRON_SCHEDULE /usr/bin/s3cmd sync $PARAMS \"$DATA_PATH\" \"$S3_PATH\" > $LOGFIFO 2>&1" | crontab - + echo "...
bash
d_bash_4861
--- +++ @@ -8,7 +8,6 @@ # -------------------------------- # Utils -source sh/utils/utils.sh source sh/utils/yaml.sh source sh/utils/log.sh source sh/utils/lock.sh
bash
d_bash_4862
--- +++ @@ -18,12 +18,12 @@ ifconfig ${network_iface_host} ${network_gateway_ip} netmask ${network_netmask} touch started -function ssh_running() { - cat console.log | grep "ssh state changed" | tail -n1 | cut -d' ' -f8 | grep running > /dev/null +function ssh_state() { + grep "ssh state changed" console.log | ...
bash
d_bash_4863
--- +++ @@ -1,6 +1,60 @@ # todo.sh: https://github.com/ginatrapani/todo.txt-cli -alias todo='todo.sh' -compdef todo='todo.sh' -# alias t='todo.sh -d ~/Dropbox/Documents/todo/.todo.personal.cfg' -# alias td='todo.sh -d ~/Dropbox/Documents/todo/.todo.work.cfg' +# https://nic-west.com/todo-txt/ +TODO_SH="/usr/local/b...
bash
d_bash_4864
--- +++ @@ -11,6 +11,7 @@ echo "Skipping git-config.sh" exit 0 fi + rm -f "${HOME}/.gitconfig" fi global_config() {
bash
d_bash_4865
--- +++ @@ -2,5 +2,12 @@ set -eu -o pipefail IFS=$'\t\n' +# Enable extra repositories +dnf install -q -y epel-release +dnf config-manager --set-enabled PowerTools + +# Install Python3 dnf install -q -y python3 + +# Install Python packages python3 -m pip install -r /vagrant/requirements.txt
bash
d_bash_4866
--- +++ @@ -12,7 +12,7 @@ export RUST_NIGHTLY=$(cat cargo-toolchain) export CARGO=$(rustup which --toolchain $RUST_NIGHTLY cargo) export CARGOFLAGS=$(cat cargo-flags) -export CARGO_PROFILE_RELEASE_LTO=true # override lto setting to turn on fully for release builds +export CARGO_PROFILE_RELEASE_LTO=thin # override ...
bash
d_bash_4867
--- +++ @@ -20,7 +20,8 @@ sudo service mysql restart fi -sudo mysql -e "CREATE USER '$USER'@'localhost'" || true +sudo mysql -u root -e "CREATE USER '$USER'@'localhost'" || true +sudo mysql -u root -e "GRANT ALL ON test.* TO '$USER'@'localhost'" || true # Print the MySQL version and create the test DB if [[...
bash
d_bash_4868
--- +++ @@ -14,8 +14,8 @@ # Use the miniconda installer for faster download / install of conda # itself wget http://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86_64.sh \ - -O miniconda.sh - chmod +x miniconda.sh && ./miniconda.sh -b -p $HOME/miniconda + -O $HOME/miniconda.sh +...
bash
d_bash_4869
--- +++ @@ -33,6 +33,7 @@ i3-gaps-next-git \ i3lock \ rxvt-unicode \ + feh \ scrot \ unclutter \ polybar \
bash
d_bash_4870
--- +++ @@ -19,7 +19,7 @@ fi # vim -if ! which elinks > /dev/null; then +if ! which vim > /dev/null; then echo "> Installing VIM ..." sudo apt-get install vim -y fi
bash
d_bash_4871
--- +++ @@ -4,7 +4,7 @@ PATH="$PATH:/opt/local/bin:/usr/local/bin:/usr/local/subversion/bin:/sw/bin" REVISION=`svnversion .` echo "*** Building Growl Revision: $REVISION" -mkdir -p `dirname $SCRIPT_OUTPUT_FILE_0` +mkdir -p "`dirname $SCRIPT_OUTPUT_FILE_0`" #SVN_REVISION is a string because it may look like "4168M...
bash
d_bash_4872
--- +++ @@ -18,7 +18,7 @@ git clone https://github.com/elasticsearch/elasticsearch-perl.git -ES_HOME=./$ES_DIR prove -I elasticsearch-perl/lib -l t/*.t +ES_HOME=./$ES_DIR prove -I elasticsearch-perl/lib -l -v t/*.t RESULT=$? killall java 2>/dev/null exit $RESULT
bash
d_bash_4873
--- +++ @@ -2,3 +2,19 @@ alias bubo='brew update && brew outdated' alias bubc='brew upgrade && brew cleanup' alias bubu='bubo && bubc' + +if mkdir "$ZSH_CACHE_DIR/.brew-completion-message" 2>/dev/null; then + print -P '%F{yellow}'Oh My Zsh brew plugin: + cat <<-'EOF' + + With the advent of their 1.0 release, Ho...
bash
d_bash_4874
--- +++ @@ -9,7 +9,7 @@ PUPPET_COLLECTION="-${PUPPET_COLLECTION}" [[ "${PUPPET_COLLECTION}" == "" ]] && PINST="puppet" || PINST="puppet-agent" -PUPPETLABS_RELEASE_RPM="https://yum.puppetlabs.com/puppetlabs-release${PUPPET_COLLECTION}-el-5.noarch.rpm" +PUPPETLABS_RELEASE_RPM="https://uitlpupt02.mcs.miamioh.edu/p...
bash
d_bash_4875
--- +++ @@ -3,7 +3,7 @@ # Editing if [[ ! "$SSH_TTY" ]] && is_osx; then - export EDITOR='subl' + export EDITOR='subl -n -w' else export EDITOR='vim' fi
bash
d_bash_4876
--- +++ @@ -2,15 +2,28 @@ # This is only required to install mcrypt in php versions < 5.4 on CentOS # Mcrypt is a common dependency for 5.5+ apps, so it is installed by default with those scripts # Ensure you include in provisioning AFTER php.sh + +PACKAGE_NAME='php-' echo "Installing Mcrypt php extension" #...
bash
d_bash_4877
--- +++ @@ -14,4 +14,4 @@ python /vagrant/project_management/manage.py syncdb --noinput python /vagrant/project_management/manage.py loaddata /vagrant/project_management/initial_data.json python /vagrant/project_management/manage.py rebuild_index --noinput -python /vagrant/project_management/manage.py collectstati...
bash
d_bash_4878
--- +++ @@ -16,9 +16,16 @@ file = ARGV[0] if ARGV.length>0 -srcDir = File.dirname(file) +# Copied from https://github.com/asciidoctor/asciidoctor-extensions-lab/blob/master/scripts/asciidoc-coalescer.rb +doc = Asciidoctor.load_file file, safe: :unsafe, header_only: true, attributes: options[:attributes] +header_...
bash
d_bash_4879
--- +++ @@ -19,7 +19,7 @@ # compile the website bundle exec jekyll build -d ~/out --config _uberspace_config.yml # upload site - rsync -rq ~/out/* $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH + rsync -rq --delete ~/out/* $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_PATH else echo "NOT ON MASTER BRANCH, WILL NOT DEPLOY SITE" ...
bash
d_bash_4880
--- +++ @@ -1,5 +1,5 @@ export INSTALL_SCLS=mongodb24 export INSTALL_PKGS="mongodb24 mongodb24-mongodb" -export EXCLUDE_PKGS="--exclude mongodb24-build --exclude mongodb24-scldevel mongodb24-gperftools-pprof" +export EXCLUDE_PKGS="--exclude mongodb24-build --exclude mongodb24-scldevel --exclude mongodb24-gperftools...
bash
d_bash_4881
--- +++ @@ -12,7 +12,8 @@ # #------------------------------------------------------------------------------- -ICLOUD_HOME="$HOME/Library/Mobile\ Documents/com~apple~CloudDocs/" +ICLOUD_HOME="$HOME/Library/Mobile Documents" +ICLOUD_DRIVE="${ICLOUD_HOME}/com~apple~CloudDocs" #----------------------------------...
bash
d_bash_4882
--- +++ @@ -2,8 +2,6 @@ set -e -java -version - pushd java-buildpack-system-test ./mvnw -q test popd
bash
d_bash_4883
--- +++ @@ -7,7 +7,7 @@ exit 1 fi -cmake -H. -Bbuild -DPLATFORM=$PLATFORM +cmake -H. -Bbuild -DPLATFORM=$PLATFORM -DCONVERAGE=$COVERAGE cmake --build build # Test on iOS is still unsupported.
bash
d_bash_4884
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash -cat < .npmrc +cat << EOF > .npmrc //registry.npmjs.org/:_authToken=$NPM_AUTH_TOKEN EOF
bash
d_bash_4885
--- +++ @@ -34,6 +34,7 @@ auth \ cdn \ iot \ + language \ translate \ speech \ vision
bash
d_bash_4886
--- +++ @@ -35,4 +35,4 @@ sortItAllOut hadoop-common-shaded sortItAllOut hbase-common-shaded - mysql -e 'CREATE DATABASE stroom;' + mysql -e 'CREATE DATABASE IF NOT EXISTS stroom;'
bash
d_bash_4887
--- +++ @@ -1,4 +1,6 @@ sudo apt-get install npm + +# Packages needed for Spacemacs JavaScript layer npm install -g tern npm install -g js-beautify npm install -g jshint
bash
d_bash_4888
--- +++ @@ -13,9 +13,11 @@ mdata-get sogo_ssl > "${SSL_HOME}/nginx.pem" else # Try to generate let's encrypt ssl certificate for the hostname - if /opt/core/bin/ssl-letsencrypt.sh 1>/dev/null 2>&1; then + /opt/core/bin/ssl-letsencrypt.sh + # If folder doesn't exists we don't have any ssl certificate + LE_LIVE="/...
bash
d_bash_4889
--- +++ @@ -1,6 +1,6 @@ # UI -> PY for filename in *.ui; do - pyuic4.bat $filename > "`basename "$filename" .ui`.py" + pyuic4 $filename > "`basename "$filename" .ui`.py" done
bash
d_bash_4890
--- +++ @@ -27,6 +27,12 @@ pushd ${release_dir} > /dev/null +echo "Ruby version:" +ruby --version + +echo "Bundler version:" +bundler --version + echo "Exporting bundler options..." # Setting via local config options as BUNDLE_PATH appears to not work @@ -38,6 +44,9 @@ # Check if dependencies are satisfied,...
bash
d_bash_4891
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash # Verify that rewritemeta has been run.
bash
d_bash_4892
--- +++ @@ -16,7 +16,7 @@ # Wait for MySQL to start listening to connections wait_for_line "mysqld: ready for connections." ${MYSQL_DATA}/out export GNOCCHI_TEST_MYSQL_URL="mysql://root@localhost/test?unix_socket=${MYSQL_DATA}/mysql.socket&charset=utf8" -mysql -S ${MYSQL_DATA}/mysql.socket -e 'CREATE DATABASE test...
bash
d_bash_4893
--- +++ @@ -19,8 +19,8 @@ fi done -usermod -aG sirius fac -usermod -aG sirius ima +sudo usermod -aG sirius fac +sudo usermod -aG sirius ima users=(fernando ximenes guilherme liulin ana alexandre murilo) for user in ${users[@]}; do
bash
d_bash_4894
--- +++ @@ -14,7 +14,7 @@ echo -e "=================================" echo -e "${lightyellow}Linux${default}GSM_" echo -e "by Daniel Gibbs" -echo -e "${lightblue}Game:${default}${gamename}" +echo -e "${lightblue}Game:${default} ${gamename}" echo -e "${lightblue}Website:${default} https://linuxgsm.com" echo -e "$...
bash
d_bash_4895
--- +++ @@ -14,7 +14,7 @@ if echo $backend_heads | grep "refs/heads/$CIRCLE_BRANCH$" ; then backend_branch=$CIRCLE_BRANCH else - backend_branch=master + backend_branch=production fi # Trigger a backend build of this sha1.
bash
d_bash_4896
--- +++ @@ -22,5 +22,5 @@ fstar.exe --version #make -C code/poly1305 extract-c -make -C code/curve25519 extract-c +#make -C code/curve25519 extract-c make
bash
d_bash_4897
--- +++ @@ -6,7 +6,7 @@ procps=$($freeCmd -V | /bin/grep procps-ng) if [ -z "$procps" ]; then - $freeCmd -tmo | $awkCmd 'NR==2 {print "{ \"total\": " $2 ", \"used\": " $3 ", \"free\": " $4 " }"}' + $freeCmd -tmo | $awkCmd 'NR==2 {print "{ \"total\": " $2 ", \"used\": " $3-$6-$7 ", \"free\": " $4+$6+$7 " }"}' els...
bash
d_bash_4898
--- +++ @@ -4,8 +4,9 @@ sudo mv selenium-server-standalone-3.3.1.jar /usr/bin/selenium.jar wget "https://github.com/mozilla/geckodriver/releases/download/v0.15.0/geckodriver-v0.15.0-linux64.tar.gz" -sudo tar -zxvf geckodriver-v0.15.0-linux64.tar.gz -sudo mv geckodriver /usr/bin/geckodriver +mkdir geckodriver +tar...
bash
d_bash_4899
--- +++ @@ -1,3 +1,3 @@ #! /bin/sh # pwd -cargo fuzz run server_basic -- -dict=fuzz/fuzzer_dict -only_ascii=1 -timeout=60 $@ +cargo fuzz run server_basic -- -dict=fuzz/fuzzer_dict -only_ascii=1 -timeout=60 ${FUZZ_LEN:+ -max_len=$FUZZ_LEN} $@
bash